@import "/assets/scss/global.scss";
.wrapper-modal{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    max-width: unset;
    margin: 0;
    background: initial !important;

    [class~="rs-modal-dialog"] {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;

        [class~="rs-modal-content"] {
            width: 512px;
            background: #FFFFFF;
            padding: 24px;
            border-radius: 16px;

            [class~="rs-modal-body"] {
                margin: 0;
                padding: 0;
                display: flex;
                flex-direction: column;
                gap: 24px;
                .box-name-unit-test{
                    .error{
                        input{
                            border-color: #F82626;
                        }
                    }
                    .error-text{
                        font-weight: 400;
                        font-size: 10px;
                        line-height: 22px;
                        color: #F82626;
                    }
                }
                .box-header{
                    display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    align-items: center;
                    
                    .title{
                        text-transform: uppercase;
                        color: #EF4E2B;
                        font-weight: 700;
                        font-size: 16px;
                        line-height: 1.3;
                        align-items: center;
                    }

                    .timer{
                        font-weight: 500;
                        font-size: 14px;
                        line-height: 1.3;
                        align-items: center;
                        color: $grey-color;

                        .count-timer{
                            color: #000000;
                        }
                    }
                }
                .description{
                    font-weight: 500;
                    font-size: 15px;
                    line-height: 24px;
                    align-items: center;
                    color: #000000;
                }

                .box-date-time{
                    display: flex;
                    flex-direction: row;
                    gap: 24px;
                }

                .box-action{
                    display: flex;
                    flex-direction: row;
                    gap: 10px;
                    justify-content: center;
                    align-items: center;

                    button{
                        min-width: 109px;
                        height: 37px;
                        padding: 10px;
                        border-radius: 8px;
                        font-weight: 600;
                        font-size: 14px;
                        line-height: 17px;

                        &.cancel{
                            background: #E4E4E4;
                            color: $grey-color;
                        }
                        &.submit{
                            background: #EF4E2B;
                            color: #FFFFFF;
                        }
                    }
                }
            }
        }
    }
}